Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Artem Malko
    @artem-malko
    @/all все, кто сталкивался с ошибкой Package "gulp-sass" is not available. переустановите tars-cli, выкатил обновление, где баг пофикшен.
    npm un -g tars-cli
    npm i -g tars-cli
    Возможно потребуются права администратора.
    Georgei
    @TheRagnar
    Всем привет, обновил tars clie до последней версии, теперь при tars dev не наблюдает за изменениями scss и html файлов
    Artem Malko
    @artem-malko
    @TheRagnar подскажите версию nodejs и операционную систему
    Georgei
    @TheRagnar
    http://joxi.ru/eAOvMXoi9OwXl2 - на новых версиях node постоянно plase wait и никак не хочет дальше двигатся поэтому такие версии node стоят
    Georgei
    @TheRagnar
    заменил tars-cli до версии 1.10.1 - исправилось. Суть в том, что вот это вот не срабатывало: http://joxi.ru/zANv4noiv3J3EA
    Artem Malko
    @artem-malko
    @TheRagnar таки обновление помогло и все сейчас ок?
    @TheRagnar рекомендую еще с доками парой сообщений выше ознакомиться. Кажется, там есть полезная инфа
    Alexandr Zinoviev
    @ZinovievAlex
    Привет всем! Подскажите пожалуйста, выскакивает ошибка при установке пакетов "npm install". Использую node js v8.11.0, node-gyp 6.0.0, npm 6.12.1, tars-cli 1.11.1, tars 1.13.3

    npm ERR! code EINTEGRITY
    npm ERR! Verification failed while extracting gulp-svg-spritesheet@https://github.com/artem-malko/gulp-svg-spritesheet/archive/master.tar.gz:
    npm ERR! Verification failed while extracting gulp-svg-spritesheet@https://github.com/artem-malko/gulp-svg-spritesheet/archive/master.tar.gz:
    npm ERR! sha1-hg6H2krVkpHQQMIVJj1y74DpWVw= integrity checksum failed when using sha1: wanted sha1-hg6H2krVkpHQQMIVJj1y74DpWVw= but got sha512-E7+RewNDCgDMm0/Yv+v9OOt9cBas26sEgZk22KBPEQQABOyqhwjJWCBGJDLTmAcidWj3bSRAYa6QRzdPZj+0yQ== sha1-4Sb/6Qkqi+hssJACuYU+y9xzET8=. (35849 bytes)

    npm ERR! A complete log of this run can be found in:
    npm ERR! C:\Users\Sasha\AppData\Roaming\npm-cache\_logs\2019-11-01T07_23_22_051Z-debug.log
    Artem Malko
    @artem-malko
    @ZinovievAlex а где выполняется npm i? По идее, достаточно только tars-cli поставить
    Alexandr Zinoviev
    @ZinovievAlex
    Привет всем! Спасибо за ответ!! Тарс (последнюю венрсию) смог установить благодаря версии node.js 8.16.0. Честно говоря, команды npm выполнял из папки Program Files/nodejs
    Alexandr Zinoviev
    @ZinovievAlex
    Но есть другая проблема. Когда открыл проект, сверстанный на старой версии тарса (обновления примерно от середины 2017 года, tars-cli 1.9 вроде), то верстка запустилась, но появились ошибки в плагинах вроде слайдеров, маски для форм и т.д. Причём Jquery отрабатывает, новый тарс он как-бы видит ошибки, там где раньше не видел. С чем это может быть связано, может он как-то реагирует на отступы или на минифицированные версии плагинов? Скажу сразу, что eslint отключил, так как он нашел кучу error в размере 2140 штук. Но даже в отключенном виде, сборка ругается на скрипты/плагины
    При этом, на другом компьютере со старым тарсом проект запускается хорошо
    Artem Malko
    @artem-malko
    @ZinovievAlex предлагаю запустить tars update-project Должен обновить проект автоматически до последней версии. Старая версия сохранится в отдельной папке, так что можно не боятся, что что-то сломается в коде.
    Alexandr Zinoviev
    @ZinovievAlex
    @artem-malko хорошо, попробую так сделать! Спасибо
    Artem Malko
    @artem-malko

    @/all наконец-то выпустил обновление до Gulp v4! Вот такой вот подарок на 2020) Всем обновляться! Сначала обновляем tars-cli

    tars upgrade

    Затем, в папке с проектом

    tars update-project

    В общем, все как всегда) Если что — заводите issue на github.

    rucomcode
    @rucomcode
    Коллеги, вопрос, в WSL не хочет запускать пересборку при сохранении файла
    Artem Malko
    @artem-malko
    @rucomcode а WSL2 пробовали?
    Vitaly Liber
    @vitalyliber
    Я ненавижу tars
    Документация очень сложно догадаться что нужно сделать
    Я понимаю, что проект уже устарел
    Но на конфе от 2015 года говорят о том какая же дока божественная
    Vitaly Liber
    @vitalyliber
    @artem-malko я взял ноду 8.17.0 и установил последний tars-cli и заинициализировал проект, но main.js 404
    @artem-malko можешь хоть какой-то совет дать, как починить это
    Artem Malko
    @artem-malko
    @vitalyliber привет. А какой у тебя флоу по работе с JS? Конкатенация или через webpack?
    Что в tars-config про js?
    В общем виде, у тебя нет JS в проекте, вот и не создается main.js То есть, скорее всего, workflow: modular
    orc90lvl
    @orc90lvl
    Приветствую, товарищи! Нужна помощь.

    RUN npm -g config set unsafe-perm true
    RUN npm install -g npm
    RUN npm install -g --cache /tmp/empty-cache tars-cli

    команды в докер-файле проекта

    Step 9/40 : RUN npm install -g --cache /tmp/empty-cache tars-cli
    ---> Running in c43206e522cc
    FATAL ERROR: Ineffective mark-compacts near heap limit Allocation failed - JavaScript heap out of memory
    ошибка при выполнении. Node v 13
    RUN export NODE_OPTIONS=--max-old-space_size=4096 ничего не дает
    Artem Malko
    @artem-malko
    Предлагаю NodeJS 12 попробовать
    Mariia
    @ki11erdance
    Приветствую!
    Подскажите, пожалуйста, пытаюсь передать данные с помощью переменной окружения (TARS_ENV). интерпретатор пытается вызвать определение параметров как команду и падает с ошибкой CommandNotFoundException. OC - Window 10. версия ноды v12.22.4, использую tars-cli
    Mariia
    @ki11erdance
    Artem Malko
    @artem-malko
    @ki11erdance привет) В env-переменных можно передать только строки. Если передать объект в строке, его нужно сначала распарсить JSON.parse, и только потом с этим работать.
    Mariia
    @ki11erdance
    @artem-malko спасибо, что откликнулись) но, проблема не в передаче объекта в env-переменную http://joxi.ru/zANOql4T8vv5Jr. я пытаюсь понять, сталкивался ли кто-либо на винде с подобной проблемой, что винда воспринимает передачу значения в tars env переменную как команду (прописывание путей не помогло).
    в readme о проблемах, которые могут быть с этим связаны ничего не написано http://joxi.ru/KAgO130TNEEbkA
    Ankook
    @Ankook
    Здравствуйте, есть ли какие-то примеры, как верстку на tars выгружали на php-cервер?
    suleesa
    @suleesa
    Добрый день, на 15 ноде tars-cli установился, на 16 падает установка. Поддерживается ли 16 нода?
    4 replies
    Nikolay Evsukov
    @Nikolasgrizli
    image.png

    Добрый день, подскажите, может кто сталкивался -
    проект легаси и обновиться не получается так как там колхоз - поставил на новый комп через nvm на node -v 10.16.0 и npm 6.9.0 что бы не ругался на сборку, но столкнулся с новой проблемой -
    gulp-sass no longer has a default Sass compiler; please set one yourself.
    Both the "sass" and "node-sass" packages are permitted.

    пробовал менять tars,js но выскакивают другие ошибки

    Artem Malko
    @artem-malko
    @Nikolasgrizli можно попробовать ноду 12. Либо поставить node-sass локально
    Nikolay Evsukov
    @Nikolasgrizli
    @artem-malko не могу использовать 12+ обновляется package-lock до второй версии и потом соответственно будут вопросы с той стороны. При попытке установить node-sass локально возникает ошибка переполнения стека, при попытке поставить его глобально на винде..... оооо эта боль, сначала ему понадобился питон, потом начал ругаться на отсутствие visual studio installation. сейчас вот запасся поп-корном и качаю 2 гига что бы запустить легаси проект))
    Nikolay Evsukov
    @Nikolasgrizli

    После установки visual studio node-sass глобально завёлся, однако теперь у меня выкидывает ошибку
    npm ERR! code EINTEGRITY npm ERR! Verification failed while extracting gulp-svg-spritesheet@https://github.com/artem-malko/gulp-svg-spritesheet/archive/master.tar.gz:
    при попытке поставить пакеты через npm i

    UPD: после этого посмотрел форум и здесь вроде написано что достаточно установленного тарс-сли, но если я запускаю проект он ругается на отсутствие галпа, если пробую поставить галп локально, то ошибка появляется та же ( npm ERR! code EINTEGRITY )

    Nikolay Evsukov
    @Nikolasgrizli
    image.png

    при попытке поставить тарс локально что бы более ничего не ставить перешёл на тот мод для ноды и нпм что использует другой разработчик, у которого проект уже давно развёрнут -
    1 info using npm@8.3.1
    2 info using node@v16.14.0

    теперь выкидывает другую ошибку, пару лет назад активно использовал тарс, но теперь видно надо переходить на чистый вебпак и другую сборку ибо для того, что бы поправить таск на 20 минут два дня танцевать с бубном - такое себе удовольствие.

    Nikolay Evsukov
    @Nikolasgrizli
    собственно итог - поставил в пустую папку тарс последней модификации( проблемы были, но в принципе довольно легко решаемые ) запустил, проверил и перенёс огромный проект по кускам в новый тарс, так всё работает, но повторять этот путь - никому не пожелаю)))